# st

Unnamed repository; edit this file 'description' to name the repository.

| Log | Files | Refs | README | LICENSE

    commit aa5d4c3b340d180eb0b375b3b4a923cf91ffb04a
    parent 080a5ae4252c9c9a9d83b702d8478966ab79326e
    Author: Christoph Lohmann <20h@r-36.net>
    Date:   Mon,  7 Sep 2015 22:59:05 +0200

    Making st.1 more descriptive about -l and fix -l in st.c.

    Diffstat:
    Mst.1 | 21++++++++++++++++++---
    Mst.c | 2+-

    2 files changed, 19 insertions(+), 4 deletions(-)
    diff --git a/st.1 b/st.1
    @@ -89,9 +89,24 @@ embeds st within the window identified by
     .I windowid
     .TP
     .BI \-l " line"
    -use a tty line instead of a pseudo terminal.
    -When this flag is used
    -remaining arguments are used as flags for stty.
    +use a tty
    +.I line
    +instead of a pseudo terminal.
    +.I line
    +should be a (pseudo-)serial device (e.g. /dev/ttySO on Linux for serial port
    +0).
    +When this flag is given
    +remaining arguments are used as flags for
    +.BR stty(1).
    +By default st initializes the serial line to 8 bits, no parity, 1 stop bit
    +and a 38400 baud rate. The speed is set by appending it as last argument
    +(e.g. 'st -l 115200'). Arguments before the last one are
    +.BR stty(1)
    +flags. If you want to set odd parity on 115200 baud use for example 'st -l
    +parenb parodd 115200'. Set the number of bits by using for example 'st -l cs7
    +115200'. See
    +.BR stty(1)
    +for more arguments and cases.
     .TP
     .B \-v
     prints version information to stderr, then exits.
    diff --git a/st.c b/st.c
    @@ -4294,7 +4294,7 @@ usage(void)
     	"          [-i] [-t title] [-T title] [-w windowid] [-e command ...]"
     	" [command ...]\n"
     	"       st [-a] [-v] [-c class] [-f font] [-g geometry] [-o file]\n"
    -	"          [-i] [-t title] [-T title] [-w windowid] [-l line]"
    +	"          [-i] [-t title] [-T title] [-w windowid] -l line"
     	" [stty_args ...]\n",
     	argv0);
     }